#ifndef _3D_OBJ_H
#define _3D_OBJ_H

#include "typedefs.h"
#include "gpu.h"

typedef struct {
	uint32 xy;
	uint32 rgz;
}TSV;

extern TSV tsv_buffer[];

#if 1
extern int emap_flag;
extern uint32 emap_tint;
extern uint32 dude_envmap_tpage;

extern void dude_phd_PutPoly_envmap(sint16 *objptr, PSXTEXTSTRUCT *textbase);
#endif
extern void phd_PutPolygons_AtBack(sint16 *objptr, int clip, int type);
extern void CreateMonoScreen();
extern void RemoveMonoScreen();
extern void DrawMonoScreen(char r, char g, char b);

#endif
